{ config, lib, pkgs, ... }:

with lib;

let cfg = config.sydnix.defaults.nixpkgs;
in {
  options = {
    sydnix.defaults.nixpkgs = {
      enable = mkOption {
        description = "Madeleine's default Nixpkgs settings";
        default = true;
        type = types.bool;
      };
    };
  };

  config = mkIf cfg.enable {
    nixpkgs.config.allowUnfree = true;
  };
}
